
Redmine - Defect #8473

OpenID authentication fails on redmine 1.2.0

2011-05-31 12:56 - Zygmunt Krynicki

Status: Closed Start date: 2011-05-31

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: OpenID Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 1.2.0

Description

NoMethodError (undefined method `destroy' for {"OpenID::Consumer::last_requested_endpoint"=>nil}:Hash):

app/controllers/application_controller.rb:89:in `logged_user='

app/controllers/account_controller.rb:203:in `successful_authentication'

app/controllers/account_controller.rb:192:in `open_id_authenticate'

app/controllers/account_controller.rb:161:in `open_id_authenticate'

app/controllers/account_controller.rb:140:in `authenticate_user'

app/controllers/account_controller.rb:30:in `login'

/usr/lib/ruby/1.8/mongrel.rb:159:in `process_client'

/usr/lib/ruby/1.8/mongrel.rb:158:in `each'

/usr/lib/ruby/1.8/mongrel.rb:158:in `process_client'

/usr/lib/ruby/1.8/mongrel.rb:285:in `run'

/usr/lib/ruby/1.8/mongrel.rb:285:in `initialize'

/usr/lib/ruby/1.8/mongrel.rb:285:in `new'

/usr/lib/ruby/1.8/mongrel.rb:285:in `run'

/usr/lib/ruby/1.8/mongrel.rb:268:in `initialize'

/usr/lib/ruby/1.8/mongrel.rb:268:in `new'

/usr/lib/ruby/1.8/mongrel.rb:268:in `run'

Rendering /srv/redmine/redmine-1.2.0/public/500.html (500 Internal Server Error)

Related issues:

Related to Redmine - Defect #7857: A NoMethodError occurred in account#login Closed 2011-03-14

History

#1 - 2011-05-31 14:10 - Etienne Massip

Guess it's related to #7857, if not dup.

#2 - 2011-05-31 14:10 - Etienne Massip

- Category set to Accounts / authentication

#3 - 2011-07-05 11:05 - Ward V

I'm also seeing this on stock 1.2.0, openid login seems entirely broken.

#4 - 2011-07-05 11:50 - Etienne Massip

What is stock ? Did you add Mongrel patches as required (see RedmineInstall) ?

#5 - 2011-07-15 13:47 - Tim marston

Etienne Massip wrote:

Guess it's related to #7857, if not dup.

 Quite possibly. The workaround suggested here also seems to fix this issue with OpenID logins as well (or it does for me, at least).

#6 - 2011-09-13 10:45 - Etienne Massip

- Category changed from Accounts / authentication to OpenID
https://www.redmine.org/issues/7857
https://www.redmine.org/projects/redmine/wiki/RedmineInstall#compatibility-notes
https://www.redmine.org/issues/7857
http://www.redmine.org/issues/7857#note-11


#7 - 2021-12-14 01:14 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix

The OpenID support has been dropped by #35755 for the upcoming Redmine 5.0.0.
